# DahdiLineInterfaceDevice::FXSChannelInfo Struct Reference

`#include <dahdi_ep.h>`

Inheritance diagram for DahdiLineInterfaceDevice::FXSChannelInfo:

[legend]
Collaboration diagram for DahdiLineInterfaceDevice::FXSChannelInfo:
[legend]

## Public Types

| eOnHook
| eOffHook
enum | HookState { eOnHook, eOffHook }

## Public Member Functions

| FXSChannelInfo (dahdi_params &parms)
virtual | ~FXSChannelInfo ()
virtual bool | IsOffHook ()
virtual void | OnHook ()
virtual void | OffHook ()
virtual bool | IsFXS ()

## Data Fields

enum DahdiLineInterfaceDevice::FXSChannelInfo::HookState | m_hookState

## Member Enumeration Documentation

enum DahdiLineInterfaceDevice::FXSChannelInfo::HookState

Enumerator:

  eOnHook |
  eOffHook |

## Constructor & Destructor Documentation

DahdiLineInterfaceDevice::FXSChannelInfo::FXSChannelInfo | ( | dahdi_params & | parms | ) |

virtual DahdiLineInterfaceDevice::FXSChannelInfo::~FXSChannelInfo | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool DahdiLineInterfaceDevice::FXSChannelInfo::IsFXS | ( |  | ) | `[inline, virtual]`

Reimplemented from DahdiLineInterfaceDevice::ChannelInfo.

virtual bool DahdiLineInterfaceDevice::FXSChannelInfo::IsOffHook | ( |  | ) | `[inline, virtual]`

Reimplemented from DahdiLineInterfaceDevice::ChannelInfo.

virtual void DahdiLineInterfaceDevice::FXSChannelInfo::OffHook | ( |  | ) | `[virtual]`

Reimplemented from DahdiLineInterfaceDevice::ChannelInfo.

virtual void DahdiLineInterfaceDevice::FXSChannelInfo::OnHook | ( |  | ) | `[virtual]`

Reimplemented from DahdiLineInterfaceDevice::ChannelInfo.

## Field Documentation

enum DahdiLineInterfaceDevice::FXSChannelInfo::HookState DahdiLineInterfaceDevice::FXSChannelInfo::m_hookState

The documentation for this struct was generated from the following file:

- dahdi_ep.h